# Class PostKnockOutStatChangeAbAttr

#### Hierarchy (view full)

- PostKnockOutAbAttr
  - PostKnockOutStatChangeAbAttr

- Defined in src/data/ability.ts:1402

#####
Index

### Constructors

constructor

### Properties

levels
showAbility
stat

### Methods

addCondition
apply
applyPostKnockOut
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostKnockOutStatChangeAbAttr(stat, levels): PostKnockOutStatChangeAbAttr

- #### Parameters

  - stat: BattleStat | ((p) => BattleStat )
  - levels: number

  #### Returns PostKnockOutStatChangeAbAttr

  Overrides PostKnockOutAbAttr.constructor

  - Defined in src/data/ability.ts:1406

## Properties

### `Private` levels

levels: number

- Defined in src/data/ability.ts:1404

### showAbility

showAbility: boolean

Inherited from PostKnockOutAbAttr.showAbility

- Defined in src/data/ability.ts:126

### `Private` stat

stat: BattleStat | ((p) => BattleStat )

#### Type declaration

- - (p): BattleStat

  - #### Parameters

    - p: default

    #### Returns BattleStat

- Defined in src/data/ability.ts:1403

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostKnockOutAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostKnockOutAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostKnockOut

- applyPostKnockOut(pokemon, passive, knockedOut, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - knockedOut: default
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Overrides PostKnockOutAbAttr.applyPostKnockOut

  - Defined in src/data/ability.ts:1413

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostKnockOutAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostKnockOutAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137